public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [flatpaks/flatpak-runtime] f45: generate-files.sh: properly propagate failure if flatpak fails
@ 2026-09-11 14:42 Owen W. Taylor
0 siblings, 0 replies; only message in thread
From: Owen W. Taylor @ 2026-09-11 14:42 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : flatpaks/flatpak-runtime
Branch : f45
Commit : 8ebf0ff354d4f2c9c7cf7c0cdbb5138d537854c2
Author : Owen W. Taylor <otaylor@fishsoup.net>
Date : 2026-03-02T20:29:46-05:00
Stats : +1/-1 in 1 file(s)
URL : https://src.fedoraproject.org/flatpaks/flatpak-runtime/c/8ebf0ff354d4f2c9c7cf7c0cdbb5138d537854c2?branch=f45
Log:
generate-files.sh: properly propagate failure if flatpak fails
---
diff --git a/tools/generate-files.sh b/tools/generate-files.sh
index 43a3693..2ef455e 100755
--- a/tools/generate-files.sh
+++ b/tools/generate-files.sh
@@ -41,4 +41,4 @@ mkdir -p out
flatpak run \
--file-forwarding \
--command=/usr/bin/python3 $runtime @@ tools/list-files.py @@ $sdk \
- > $out.tmp && mv $out.tmp $out || rm $out.tmp
+ > $out.tmp && mv $out.tmp $out || ( rm $out.tmp && exit 1 )
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-09-11 14:42 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 14:42 [flatpaks/flatpak-runtime] f45: generate-files.sh: properly propagate failure if flatpak fails Owen W. Taylor
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox